Package org.springframework.test.web.reactive.server

# Interface WebTestClient.RequestHeadersUriSpec<S extends WebTestClient.RequestHeadersSpec<S>>

Type Parameters:
  `S` - a self reference to the spec type

All Superinterfaces:
  `WebTestClient.RequestHeadersSpec<S>`, `WebTestClient.UriSpec<S>`

All Known Subinterfaces:
  `WebTestClient.RequestBodyUriSpec`

Enclosing interface:
  WebTestClient

public static interface WebTestClient.RequestHeadersUriSpec<S extends WebTestClient.RequestHeadersSpec<S>> extends WebTestClient.UriSpec<S>, WebTestClient.RequestHeadersSpec<S>
Specification for providing request headers and the URI of a request.

## Method Summary

### Methods inherited from interface org.springframework.test.web.reactive.server.WebTestClient.RequestHeadersSpec

`accept, acceptCharset, attribute, attributes, cookie, cookies, exchange, header, headers, ifModifiedSince, ifNoneMatch`

### Methods inherited from interface org.springframework.test.web.reactive.server.WebTestClient.UriSpec

`uri, uri, uri, uri`